import 'dart:ui';
import 'package:flutter/material.dart';

class ChatButton extends StatelessWidget {
  const ChatButton({Key? key}) : super(key: key);

  // the chat the button leads to
  final _destination = null;
  final _name = '';

  // delete maybe, depending on where the application gets the last message
  final _last_message = '';

  @override
  Widget build(BuildContext context) {
    return Container(
        child: Column(children: [
          // Image of the contact
          Container(
            alignment: Alignment.center,
            color: Colors.transparent,
            margin: const EdgeInsets.all(5.0),
            // ToDo: check RoundedRectangleBorder(),

            child: GestureDetector(
              // ToDo: open profile picture view when clicked
              onTap: () => null,
              child: Image.asset('yourimagefolder/yourimage.png'),
            ),
          ),

          // Switches to chat "activity" when clicked
          GestureDetector(
            // ToDo: switch to chat
            onTap: () => null,
            child: Row(
              children: [
                Column(
                  children: [
                    // Username
                    Text('_Username_'),

                    // Container for icons on the top right
                    Container(),
                  ]
                ),

                // Last message in chat
                Text('_Message_')
              ],
            ),
          ),
      ])
    );
  }
}
